- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osOptionsStruc Struct Reference

This structure is used to store options for the OSSolverService executable. More...

`#include <OSOptionsStruc.h>`

Collaboration diagram for osOptionsStruc:

[legend]
List of all members.

## Public Attributes
std::string | configFile
| configFile is the name of the file that holds the configuration options if the OSSolverService reads its options from a file rather than command line inputs
std::string | osilFile
| osilFile is the name of the file that holds the model instance in OSiL format
std::string | osil
| osil is the flag that tells OSSolverService that the next input is the instance in OSiL format e.g.
std::string | osolFile
| osolFile is the name of the file that holds the solver options
std::string | osol
| osil is the flag that tells OSSolverService that the next input is a file with solver options e.g.
std::string | osrlFile
| osrlFile is the name of the file where the solver should write the result in OSrL format
std::string | osrl
| osrl is the flag that tells OSSolverService that the next input is the file name wher the solver should write the result e.g.
std::string | insListFile
| name of the file where the instance is in a LINDO instruction list format
std::string | insList
| osrl is the flag that tells OSSolverService that the next input is the file name wher the instance is a LINDO instruction list -- this is not implemented
std::string | serviceLocation
| serviceLocation is the URL of the remote solver when a local solver is not use
std::string | serviceMethod
| the service method the OSSolverService should execute, e.g solve, send, getJobID, kill, knock, or retrieve
std::string | osplInputFile
| name of an input file with xml in OS Process language format, used for example to knock on a server, for example -osplInput .
std::string | osplOutputFile
| name of an output file where the solver should write the result of a knock or kill service request
std::string | osplInput
| osplInput is the flag that tells OSSolverService that the next input is the file name of the file holding the OSpL that the OSSolverService sends to the solver e.g.
std::string | osplOutput
| osplOutput is the flag that tells OSSolverService that the next input is the file name of the file holding the OSpL that the solver should write to e.g.
std::string | mpsFile
| the name of the mpsFile that holds an instance in mps format
std::string | mps
| the name of the mps string that holds an instance in mps format
std::string | nlFile
| the name of the nlFile that holds an instance in AMPL nl format
std::string | nl
| the name of the nl string that holds an instance in mps format
std::string | datFile
| the name of the nlFile that holds an instance in GAMS dat format
std::string | dat
| the name of the nl string that holds an instance in mps format
std::string | gamsControlFile
| the name of the .dat that holds the GAMS control file
std::string | solverName
| the name of the solver to be invoked, e.g -solver Ipopt
std::string | browser
| this paramater is a path to the browser on the local machine.
bool | invokeHelp
| if this parameter is true we print the contents of the file help.txt and return
bool | writeVersion
| if this parameter is true we print the current version of the OS project
bool | quit
| if this parameter is true we quit/exit
bool | exit
| if this parameter is true we quit/exit
std::string | jobID
| the JobID

## Detailed Description

This structure is used to store options for the OSSolverService executable.

Author:
  Robert Fourer, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  the OSSolverService requires numerous options and these options are stored in the osOptionsStruc

Definition at line 34 of file OSOptionsStruc.h.

## Member Data Documentation

std::string osOptionsStruc::configFile

configFile is the name of the file that holds the configuration options if the OSSolverService reads its options from a file rather than command line inputs

Definition at line 39 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), listOptions(), main(), and reset_options().

std::string osOptionsStruc::osilFile

osilFile is the name of the file that holds the model instance in OSiL format

Definition at line 44 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), listOptions(), main(), and reset_options().

std::string osOptionsStruc::osil

osil is the flag that tells OSSolverService that the next input is the instance in OSiL format e.g.

-osil ../data/osilFiles/wayneQuadratic.osil

Definition at line 50 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), getOSiLFromGams(), getOSiLFromMps(), getOSiLFromNl(), main(), reset_options(), send(), and solve().

std::string osOptionsStruc::osolFile

osolFile is the name of the file that holds the solver options

Definition at line 54 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), listOptions(), main(), and reset_options().

std::string osOptionsStruc::osol

osil is the flag that tells OSSolverService that the next input is a file with solver options e.g.

-osol ../data/osolFiles/demo.osol

Definition at line 60 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), getJobID(), kill(), knock(), main(), reset_options(), retrieve(), send(), and solve().

std::string osOptionsStruc::osrlFile

osrlFile is the name of the file where the solver should write the result in OSrL format

Definition at line 65 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), listOptions(), main(), reset_options(), retrieve(), send(), and solve().

std::string osOptionsStruc::osrl

osrl is the flag that tells OSSolverService that the next input is the file name wher the solver should write the result e.g.

-osrl ../data/osrlFiles/test.osrl

Definition at line 71 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), and reset_options().

std::string osOptionsStruc::insListFile

name of the file where the instance is in a LINDO instruction list format

Definition at line 76 of file OSOptionsStruc.h.

std::string osOptionsStruc::insList

osrl is the flag that tells OSSolverService that the next input is the file name wher the instance is a LINDO instruction list -- this is not implemented

Definition at line 82 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), and reset_options().

std::string osOptionsStruc::serviceLocation

serviceLocation is the URL of the remote solver when a local solver is not use

Definition at line 87 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), getJobID(), kill(), knock(), listOptions(), main(), reset_options(), retrieve(), send(), and solve().

std::string osOptionsStruc::serviceMethod

the service method the OSSolverService should execute, e.g solve, send, getJobID, kill, knock, or retrieve

Definition at line 92 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), listOptions(), and reset_options().

std::string osOptionsStruc::osplInputFile

name of an input file with xml in OS Process language format, used for example to knock on a server, for example -osplInput .

./data/osplFiles/demo.ospl

Definition at line 98 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), listOptions(), main(), and reset_options().

std::string osOptionsStruc::osplOutputFile

name of an output file where the solver should write the result of a knock or kill service request

Definition at line 104 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), kill(), knock(), and reset_options().

std::string osOptionsStruc::osplInput

osplInput is the flag that tells OSSolverService that the next input is the file name of the file holding the OSpL that the OSSolverService sends to the solver e.g.

-osplInput ../data/osplFiles/demo.ospl

Definition at line 111 of file OSOptionsStruc.h.

Referenced by knock(), main(), and reset_options().

std::string osOptionsStruc::osplOutput

osplOutput is the flag that tells OSSolverService that the next input is the file name of the file holding the OSpL that the solver should write to e.g.

-osplOutput ../data/osplFiles/test.ospl

Definition at line 118 of file OSOptionsStruc.h.

Referenced by reset_options().

std::string osOptionsStruc::mpsFile

the name of the mpsFile that holds an instance in mps format

Definition at line 121 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), getOSiLFromMps(), listOptions(), main(), reset_options(), send(), and solve().

std::string osOptionsStruc::mps

the name of the mps string that holds an instance in mps format

Definition at line 124 of file OSOptionsStruc.h.

Referenced by main(), and reset_options().

std::string osOptionsStruc::nlFile

the name of the nlFile that holds an instance in AMPL nl format

Definition at line 127 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), getOSiLFromNl(), listOptions(), main(), reset_options(), send(), and solve().

std::string osOptionsStruc::nl

the name of the nl string that holds an instance in mps format

Definition at line 130 of file OSOptionsStruc.h.

Referenced by main(), and reset_options().

std::string osOptionsStruc::datFile

the name of the nlFile that holds an instance in GAMS dat format

Definition at line 134 of file OSOptionsStruc.h.

Referenced by main().

std::string osOptionsStruc::dat

the name of the nl string that holds an instance in mps format

Definition at line 137 of file OSOptionsStruc.h.

Referenced by main().

std::string osOptionsStruc::gamsControlFile

the name of the .dat that holds the GAMS control file

Definition at line 142 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), getOSiLFromGams(), reset_options(), and solve().

std::string osOptionsStruc::solverName

the name of the solver to be invoked, e.g -solver Ipopt

Definition at line 147 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), listOptions(), main(), reset_options(), and solve().

std::string osOptionsStruc::browser

this paramater is a path to the browser on the local machine.

If this optional parameter is specified then the solver result in OSrL format is transformed using XSLT into HTML and displayed in the browser, e.g. -browser /Applications/Firefox.app/Contents/MacOS/firefox

Definition at line 155 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), reset_options(), retrieve(), and solve().

bool osOptionsStruc::invokeHelp

if this parameter is true we print the contents of the file help.txt and return

Definition at line 160 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), and reset_options().

bool osOptionsStruc::writeVersion

if this parameter is true we print the current version of the OS project

Definition at line 165 of file OSOptionsStruc.h.

Referenced by getAmplClientOptions(), and reset_options().

bool osOptionsStruc::quit

if this parameter is true we quit/exit

Definition at line 168 of file OSOptionsStruc.h.

Referenced by main(), and reset_options().

bool osOptionsStruc::exit

if this parameter is true we quit/exit

Definition at line 171 of file OSOptionsStruc.h.

Referenced by main(), and reset_options().

std::string osOptionsStruc::jobID

the JobID

Definition at line 174 of file OSOptionsStruc.h.

Referenced by getJobID(), kill(), knock(), listOptions(), main(), reset_options(), retrieve(), and send().

The documentation for this struct was generated from the following file:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSOptionsStruc.h